Summary: SMB Module for PAM
Name: pam_smb
Version: 0.9
Release: 2glibc
Copyright: GPL
URL: http://www.csn.ul.ie/~airlied/pam_smb
Packager: Mark Spencer <markster@marko.net>
Group: Networking/Admin
Source: http://www.csn.ul.ie/~airlied/pam_smb/pam_smb-%{PACKAGE_VERSION}.tar.gz
Patch: pam_smb-0.9-glibc.patch
Requires: pam >= 0.57
BuildRoot: /tmp/smbroot

%description
pam_smb is a module for PAM (plugable authentication modules) used by RedHat
for user authentication.  This module allows you to authenticate users who
log into your system against a Samba or Windows NT server.

%prep
%setup -n pam_smb
%patch -p1

%build
make

%install
mkdir -p $RPM_BUILD_ROOT/lib/security
mkdir -p $RPM_BUILD_ROOT/etc
cp -f pam_smb.conf.example $RPM_BUILD_ROOT/etc
cp -f pam_smb_auth.so $RPM_BUILD_ROOT/lib/security

%files
%doc README
%doc CHANGES
%doc TODO
/lib/security/pam_smb_auth.so
/etc/pam_smb.conf.example

%clean
rm -rf $RPM_BUILD_ROOT
